> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Or Update Image Of Pass Template Of Type And Resolution

> ### Create or Update Image of Pass Template of Type and Resolution

Creates or updates an image of a specific type and resolution for a pass template.

**Parameters:**
- `type` (PassImageType): The type of the image.
- `resolution` (PassImageResolution): The resolution of the image.
- `image` (UploadFile): The image file to upload.
- `template` (Template): The pass template.
- `user` (User): The currently authenticated user.

**Returns:**
- `dict`: The serialized image data.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json post /v2/templates/{templateId}/images/{type}/{resolution}
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/templates/{templateId}/images/{type}/{resolution}:
    post:
      tags:
        - Pass Templates > Images
      summary: Create Or Update Image Of Pass Template Of Type And Resolution
      description: >-
        ### Create or Update Image of Pass Template of Type and Resolution


        Creates or updates an image of a specific type and resolution for a pass
        template.


        **Parameters:**

        - `type` (PassImageType): The type of the image.

        - `resolution` (PassImageResolution): The resolution of the image.

        - `image` (UploadFile): The image file to upload.

        - `template` (Template): The pass template.

        - `user` (User): The currently authenticated user.


        **Returns:**

        - `dict`: The serialized image data.
      operationId: >-
        create_or_update_image_of_pass_template_of_type_and_resolution_v2_templates__templateId__images__type___resolution__post
      parameters:
        - name: type
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PassImageType'
        - name: resolution
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/PassImageResolution'
        - name: templateId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: string
            title: Templateid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_create_or_update_image_of_pass_template_of_type_and_resolution_v2_templates__templateId__images__type___resolution__post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PassImageType:
      type: string
      enum:
        - logo
        - icon
        - strip
        - footer
        - background
        - thumbnail
      title: PassImageType
      description: |-
        Supported images
            Boarding pass:  logo, icon, footer
            Coupon:         logo, icon, strip
            Event ticket:   logo, icon, strip, background, thumbnail
                            If you specify a strip image, do not specify a background image or a thumbnail.
            Generic:        logo, icon, thumbnail
            Store card:     logo, icon, strip

        Args:
            StrEnum (_type_): _description_
    PassImageResolution:
      type: string
      enum:
        - normal
        - high
        - ultra
      title: PassImageResolution
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    Body_create_or_update_image_of_pass_template_of_type_and_resolution_v2_templates__templateId__images__type___resolution__post:
      properties:
        image:
          type: string
          contentMediaType: application/octet-stream
          title: Image
      type: object
      required:
        - image
      title: >-
        Body_create_or_update_image_of_pass_template_of_type_and_resolution_v2_templates__templateId__images__type___resolution__post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````